import request from '@/utils/request'

// 查询实体类关系列表
export function listClassRelation(query) {
  return request({
    url: '/knowledge/classRelation/list',
    method: 'get',
    params: query
  })
}

// 查询实体类关系详细
export function getClassRelation(relClsId) {
  return request({
    url: '/knowledge/classRelation/' + relClsId,
    method: 'get'
  })
}

// 新增实体类关系
export function addClassRelation(data) {
  return request({
    url: '/knowledge/classRelation',
    method: 'post',
    data: data
  })
}

// 修改实体类关系
export function updateClassRelation(data) {
  return request({
    url: '/knowledge/classRelation',
    method: 'put',
    data: data
  })
}

// 删除实体类关系
export function delClassRelation(relClsId) {
  return request({
    url: '/knowledge/classRelation/' + relClsId,
    method: 'delete'
  })
}
